## tsinaclient 1.0.1-1

=== debian/changelog ===
tsinaclient (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Changming Sun <snnn119@gmail.com>  Thu,  4 Nov 2010 17:41:27 +0800

## tsinaclient 1.0.2

=== Makefile ===
#############################################################################
# Makefile for building: tsina
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 24 01:11:49 2011
# Project:  tsina.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile tsina.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtDeclarative -I/targets/FREMANTLE_X86/usr/include -Iqmlapplicationviewer -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp
OBJECTS       = main.o \
		qmlapplicationviewer.o \
		moc_qmlapplicationviewer.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		tsina.pro
QMAKE_TARGET  = tsina
DESTDIR       = 
TARGET        = tsina

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: tsina.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile tsina.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
qmlapplicationviewer/qmlapplicationviewer.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile tsina.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/tsina1.0.0 || $(MKDIR) .tmp/tsina1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/tsina1.0.0/ && $(COPY_FILE) --parents qmlapplicationviewer/qmlapplicationviewer.h .tmp/tsina1.0.0/ && $(COPY_FILE) --parents main.cpp qmlapplicationviewer/qmlapplicationviewer.cpp .tmp/tsina1.0.0/ && (cd `dirname .tmp/tsina1.0.0` && $(TAR) tsina1.0.0.tar tsina1.0.0 && $(COMPRESS) tsina1.0.0.tar) && $(MOVE) `dirname .tmp/tsina1.0.0`/tsina1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/tsina1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qmlapplicationviewer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qmlapplicationviewer.cpp
moc_qmlapplicationviewer.cpp: qmlapplicationviewer/qmlapplicationviewer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qmlapplicationviewer/qmlapplicationviewer.h -o moc_qmlapplicationviewer.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qmlapplicationviewer.o: qmlapplicationviewer/qmlapplicationviewer.cpp qmlapplicationviewer/qmlapplicationviewer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmlapplicationviewer.o qmlapplicationviewer/qmlapplicationviewer.cpp

moc_qmlapplicationviewer.o: moc_qmlapplicationviewer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qmlapplicationviewer.o moc_qmlapplicationviewer.cpp

####### Install

install_itemfolder_01: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/share/tsina/qml/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/share/tsina/qml/ 
	-$(INSTALL_DIR) /home/maemo/tsina/tsinaclient/qml/tsina $(INSTALL_ROOT)/opt/usr/share/tsina/qml/


uninstall_itemfolder_01:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/usr/share/tsina/qml/tsina
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/share/tsina/qml/ 


install_desktopfile: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/maemo/tsina/tsinaclient/tsina.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktopfile:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/tsina.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /home/maemo/tsina/tsinaclient/tsina.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/tsina.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 


install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/bin/ 


install:  install_itemfolder_01 install_desktopfile install_icon install_target  FORCE

uninstall: uninstall_itemfolder_01 uninstall_desktopfile uninstall_icon uninstall_target   FORCE

FORCE:

## tsinaclient 1.0.1-2

=== debian/changelog ===
tsinaclient (1.0.1-2) unstable; urgency=low

  * rebuild

 -- Changming Sun <snnn119@gmail.com>  Sun, 30 Jan 2011 05:50:23 +0000

=== debian/control ===
Source: tsinaclient
Section: user/network
Priority: extra
Maintainer: Changming Sun <snnn119@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev,libqt4-dev,libqt4-gui,libqt4-declarative
Standards-Version: 3.7.2
XSBC-Bugtracker: snnn119@gmail.com

Package: tsinaclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-webkit,libqt4-sql-sqlite
Description: A simple client of http://t.sina.com.cn/
  新浪微博客户端。初始版，不完善。https://www.sunchangming.com/qtsinaclient.html
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKTWlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVN3
 WJP3Fj7f92UPVkLY8LGXbIEAIiOsCMgQWaIQkgBhhBASQMWFiApWFBURnEhV
 xILVCkidiOKgKLhnQYqIWotVXDjuH9yntX167+3t+9f7vOec5/zOec8PgBES
 JpHmomoAOVKFPDrYH49PSMTJvYACFUjgBCAQ5svCZwXFAADwA3l4fnSwP/wB
 r28AAgBw1S4kEsfh/4O6UCZXACCRAOAiEucLAZBSAMguVMgUAMgYALBTs2QK
 AJQAAGx5fEIiAKoNAOz0ST4FANipk9wXANiiHKkIAI0BAJkoRyQCQLsAYFWB
 UiwCwMIAoKxAIi4EwK4BgFm2MkcCgL0FAHaOWJAPQGAAgJlCLMwAIDgCAEMe
 E80DIEwDoDDSv+CpX3CFuEgBAMDLlc2XS9IzFLiV0Bp38vDg4iHiwmyxQmEX
 KRBmCeQinJebIxNI5wNMzgwAABr50cH+OD+Q5+bk4eZm52zv9MWi/mvwbyI+
 IfHf/ryMAgQAEE7P79pf5eXWA3DHAbB1v2upWwDaVgBo3/ldM9sJoFoK0Hr5
 i3k4/EAenqFQyDwdHAoLC+0lYqG9MOOLPv8z4W/gi372/EAe/tt68ABxmkCZ
 rcCjg/1xYW52rlKO58sEQjFu9+cj/seFf/2OKdHiNLFcLBWK8ViJuFAiTcd5
 uVKRRCHJleIS6X8y8R+W/QmTdw0ArIZPwE62B7XLbMB+7gECiw5Y0nYAQH7z
 LYwaC5EAEGc0Mnn3AACTv/mPQCsBAM2XpOMAALzoGFyolBdMxggAAESggSqw
 QQcMwRSswA6cwR28wBcCYQZEQAwkwDwQQgbkgBwKoRiWQRlUwDrYBLWwAxqg
 EZrhELTBMTgN5+ASXIHrcBcGYBiewhi8hgkEQcgIE2EhOogRYo7YIs4IF5mO
 BCJhSDSSgKQg6YgUUSLFyHKkAqlCapFdSCPyLXIUOY1cQPqQ28ggMor8irxH
 MZSBslED1AJ1QLmoHxqKxqBz0XQ0D12AlqJr0Rq0Hj2AtqKn0UvodXQAfYqO
 Y4DRMQ5mjNlhXIyHRWCJWBomxxZj5Vg1Vo81Yx1YN3YVG8CeYe8IJAKLgBPs
 CF6EEMJsgpCQR1hMWEOoJewjtBK6CFcJg4Qxwicik6hPtCV6EvnEeGI6sZBY
 Rqwm7iEeIZ4lXicOE1+TSCQOyZLkTgohJZAySQtJa0jbSC2kU6Q+0hBpnEwm
 65Btyd7kCLKArCCXkbeQD5BPkvvJw+S3FDrFiOJMCaIkUqSUEko1ZT/lBKWf
 MkKZoKpRzame1AiqiDqfWkltoHZQL1OHqRM0dZolzZsWQ8ukLaPV0JppZ2n3
 aC/pdLoJ3YMeRZfQl9Jr6Afp5+mD9HcMDYYNg8dIYigZaxl7GacYtxkvmUym
 BdOXmchUMNcyG5lnmA+Yb1VYKvYqfBWRyhKVOpVWlX6V56pUVXNVP9V5qgtU
 q1UPq15WfaZGVbNQ46kJ1Bar1akdVbupNq7OUndSj1DPUV+jvl/9gvpjDbKG
 hUaghkijVGO3xhmNIRbGMmXxWELWclYD6yxrmE1iW7L57Ex2Bfsbdi97TFND
 c6pmrGaRZp3mcc0BDsax4PA52ZxKziHODc57LQMtPy2x1mqtZq1+rTfaetq+
 2mLtcu0W7eva73VwnUCdLJ31Om0693UJuja6UbqFutt1z+o+02PreekJ9cr1
 Dund0Uf1bfSj9Rfq79bv0R83MDQINpAZbDE4Y/DMkGPoa5hpuNHwhOGoEcto
 upHEaKPRSaMnuCbuh2fjNXgXPmasbxxirDTeZdxrPGFiaTLbpMSkxeS+Kc2U
 a5pmutG003TMzMgs3KzYrMnsjjnVnGueYb7ZvNv8jYWlRZzFSos2i8eW2pZ8
 ywWWTZb3rJhWPlZ5VvVW16xJ1lzrLOtt1ldsUBtXmwybOpvLtqitm63Edptt
 3xTiFI8p0in1U27aMez87ArsmuwG7Tn2YfYl9m32zx3MHBId1jt0O3xydHXM
 dmxwvOuk4TTDqcSpw+lXZxtnoXOd8zUXpkuQyxKXdpcXU22niqdun3rLleUa
 7rrStdP1o5u7m9yt2W3U3cw9xX2r+00umxvJXcM970H08PdY4nHM452nm6fC
 85DnL152Xlle+70eT7OcJp7WMG3I28Rb4L3Le2A6Pj1l+s7pAz7GPgKfep+H
 vqa+It89viN+1n6Zfgf8nvs7+sv9j/i/4XnyFvFOBWABwQHlAb2BGoGzA2sD
 HwSZBKUHNQWNBbsGLww+FUIMCQ1ZH3KTb8AX8hv5YzPcZyya0RXKCJ0VWhv6
 MMwmTB7WEY6GzwjfEH5vpvlM6cy2CIjgR2yIuB9pGZkX+X0UKSoyqi7qUbRT
 dHF09yzWrORZ+2e9jvGPqYy5O9tqtnJ2Z6xqbFJsY+ybuIC4qriBeIf4RfGX
 EnQTJAntieTE2MQ9ieNzAudsmjOc5JpUlnRjruXcorkX5unOy553PFk1WZB8
 OIWYEpeyP+WDIEJQLxhP5aduTR0T8oSbhU9FvqKNolGxt7hKPJLmnVaV9jjd
 O31D+miGT0Z1xjMJT1IreZEZkrkj801WRNberM/ZcdktOZSclJyjUg1plrQr
 1zC3KLdPZisrkw3keeZtyhuTh8r35CP5c/PbFWyFTNGjtFKuUA4WTC+oK3hb
 GFt4uEi9SFrUM99m/ur5IwuCFny9kLBQuLCz2Lh4WfHgIr9FuxYji1MXdy4x
 XVK6ZHhp8NJ9y2jLspb9UOJYUlXyannc8o5Sg9KlpUMrglc0lamUycturvRa
 uWMVYZVkVe9ql9VbVn8qF5VfrHCsqK74sEa45uJXTl/VfPV5bdra3kq3yu3r
 SOuk626s91m/r0q9akHV0IbwDa0b8Y3lG19tSt50oXpq9Y7NtM3KzQM1YTXt
 W8y2rNvyoTaj9nqdf13LVv2tq7e+2Sba1r/dd3vzDoMdFTve75TsvLUreFdr
 vUV99W7S7oLdjxpiG7q/5n7duEd3T8Wej3ulewf2Re/ranRvbNyvv7+yCW1S
 No0eSDpw5ZuAb9qb7Zp3tXBaKg7CQeXBJ9+mfHvjUOihzsPcw83fmX+39Qjr
 SHkr0jq/dawto22gPaG97+iMo50dXh1Hvrf/fu8x42N1xzWPV56gnSg98fnk
 gpPjp2Snnp1OPz3Umdx590z8mWtdUV29Z0PPnj8XdO5Mt1/3yfPe549d8Lxw
 9CL3Ytslt0utPa49R35w/eFIr1tv62X3y+1XPK509E3rO9Hv03/6asDVc9f4
 1y5dn3m978bsG7duJt0cuCW69fh29u0XdwruTNxdeo94r/y+2v3qB/oP6n+0
 /rFlwG3g+GDAYM/DWQ/vDgmHnv6U/9OH4dJHzEfVI0YjjY+dHx8bDRq98mTO
 k+GnsqcTz8p+Vv9563Or59/94vtLz1j82PAL+YvPv655qfNy76uprzrHI8cf
 vM55PfGm/K3O233vuO+638e9H5ko/ED+UPPR+mPHp9BP9z7nfP78L/eE8/sl
 0p8zAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqYAAAXb5Jf
 xUYAAAtuSURBVHja1Jp7lFX1dcc/+5w7MzAIEt7MQBBiImq0sYI1CviYtKKR
 hPiKbYIPOo12rdY20dTVxyqYrBWLqa6oxMaoIVFXyqq6koAsByumaMzCglSz
 EuzQIi+HAEEYHsMMd87Z3/5xfvfcc3kMjvljmjPrrHPnzHns797fvff3t+ea
 JH6Xt9JAvThZ25y9X0wADgIHMFIcl4Dcr0Ju4I4c3AEXFb+XBtB5ExB/CFyH
 sR+xA7EbeAv4L2D3/+sIAB/H+BJwIcHjEg50ApuAN0BLEav7ekg0YOaLXyCW
 y+nAKQfaRIgRONMl3Y7bvwmeRnz0RI+xgUri5D+bASI5pwHjEGME5yBdhvgk
 MAggANtkaKGcp4/OgYEDsKYZIZAhgSEkDBiDuBAxz6VrTXk+HwQWynkQVzrg
 AHp/3gymBkSjO/syAAbKvGtmw1xcj/w+wQhkgHpMfBVYLB94AOcIzUXMRewD
 vSu39ZKel3hHqSpZ+gfIliCdGULRBboG7MUBBVB+rekK4O9xZmZeNwS9ktoR
 P1GqB4C9RIAzFfGUYFoA8QZwpcRvBhLAUDkXSVyLNBbXeYKJoZwisQrXrYjt
 GCBmhIo0KbS5f3DnGwMG4Mir47OuWukBqBkxB+cvJZ0Vzv9Izo2IskXgzlcQ
 98sAeAVxrSXzj1dcCwcDc7DgGSM/DkNcBdxAxNRQLF6X8XVgc/FZ6oIjuwEH
 ElAC8aJxQyWmAVNwdirV5vJf7NpQ9/DYcyU9AlwcSuifI75jBp4yTsZLJs6W
 1Gkw+4N24j8WtFrM5ZV2GAJ5lsRgxE1Ab14y9x2nj4nzkb6J7HxcCL1X99CY
 JUp1D3AL8ArOeBetSEuBTsROxHcdHjRpp8x29LcTjwIeIeJJIi5XBB6BKzcK
 xHlAUzGSx+334jDil5J2uCtFjBTchbgn+evd/5umfE0SuD6BOCcXd+Jf5LrU
 xXVybe8PhT4ueAzjQgBVvZ5Rw3I+dyGuwHgNQboH0u7QjNIqhUghWjTW5IyU
 6zI53wBOl3PQnTmIt5CelTMCaR7wK4sywzx4zPoh5lqI+DbGGap0RgXDK1sa
 zqVEgBGBusG7wOIC2OItd+2S97DHU54pfWtMyZ3vZ5JOo/TVPZ0sGt2Ky/Kc
 UiGq/VCjVxHxtOBDNcYXva/q0VPeM9GpFPwAWFSQ9jXxrT3tzjJJX8JJECsB
 uPs3WwC4d9QJjTsZhVowlhqM8qLhqjVanu2koIT/RnzaD/EOCVjMMInfc+di
 Us4joUkZlTrk/Lv38GNPea8vDw5v1wdaD5wNPCoYpeNRxbNdAqXZTgI4h5Sw
 BzEY4xaJ69JeLrckgAz89+zazyM+C9wA9NT40I6lS38AjAOelvjI0d4mDUYH
 j+Pgafic7V1KmCnny0ppkWcF1SsRqtyT5JFrQUwHXi0yoOdA9lw5nNpPACXE
 o8AnisbnNPFCQwrGVIxXdu4iOc8ppcHSqtFeMT5EjGCcO42CqRUAXobebkjD
 89xPFgE/Zo32d4jPFJMzN7TgRRW87mmNd+sCEKSC4eH3/H7P+ofEYZwdGKS9
 GYBMTmf9w/pJoUtx/iY3tOJ5ZTQoGl0BpQoVjjrvaRW8is9T1fiQQztwXlWg
 Vf/HKr255+sxHsQZQhq8kxxrMEl4UcXA3qpnPa6vduU0xZI0AyIKI5FcbVao
 +T8uGnHqMq1fm8wnB1Ct53dKnJt7Kil0zqI3K/QY0QSjPow1TYGxk7BTRxOP
 biIWyCLs4AG8Ywu2Yzu+bTO+ZRO+swMr5hMg50rgXYntwNuC14D/IDueHEDo
 kGNI+WLFcCUFvicF3jYMQxfOxs5vITr9XGiaAo1Dg+SwGr4q8FMIK/eSbnqb
 9M219P60jeSlFRkI8kjELk4DTpO4Uk4XsBS4B9jeFwA7cg0Q0YrzXRIsNz7Q
 gwR80FC4+jY0+2YYOwEr1WNW6ewW6rah40hODLI1h2UL955uetetoee+hSRv
 rsMIdA2ATAWKwStybjztkH59YgBzGSzxjCV8WgWxlS02YnTRXDR/ITRNxlDw
 tNWUBztGAVbDIJTrPAIQIfzgAboXLeDIU09A6rlWynOjqm6/NblLXz4hgJ4r
 OcNgjScML9RyKA0mvf0+uPrmqoEyyr1lnnzyB7S1vcD69W8SRRFxKaIUx0yZ
 MoUrrphNa2srQwYPQYWZSG66qppMiMP3LqBn8QOZjqIgTaoCd/eULo09IYDu
 P+IWEpbk7T0FNQzF//EpmH5ZThJhHDxwgDvv/AovtLUBEMdxBiAuUSrF1JVK
 xHUlrr7qahbes5C6uroKcY5iVsYRYajnMIduuoEjP1tdBZsvM7NofKRHduLR
 YplLVYb0SMZ5t8H4HQ+gaZeFsGZe6z7cxR1/dQcrVqwgTVPcPdvlSI6kbKzs
 0LayjVUvv4zcc+MrKrZWVgsbNJj6G29CFuXcrymzos/uEPkRJisYrzLoU3+C
 f+qG6gJIhst57IknePHFF0klUk+RC0nVYy5Ss5/nnn2Gzv37q4MqgfJ2XihV
 gnjaBcQfnpz3k1zlZlFo7xOAykxOezMA6aDh+JybsfDCSjz37t3LkiXfw0Kp
 LCbxqcNOZfy4cTUy2zC2b3+XXbt25f4XHjxrAbCQZcd41GgYNjzTTMoKSBp2
 ed/T6VLay/iKbqH5dOxj54bKkddJVq9ezb739mFmlEol5s79HNdffx3Pr1hB
 0/jxJEnC448/HvSL5cB7unsK1ciqbjUIo8Ksh+7vRIe6amVZ9qcEaOu7kfWy
 E2cCDkyaWr0/VBCTsW3bNqI4BmDOZ+bw0MMPYYiZM2bR+md/ytq1a4miiMiM
 KJTZD40YQVNzU55HxTKbz6JC4S+/vYHerVtDVhfYJVYLXu47BxI2egLeC37o
 8NEeQCgzLo6ISzHzb51PZRRIBFEUUS6Xs2sK+wXTL+CUU04J1SZUnbBXnZTx
 /cjzy9Hhbqskr2fU6UHci+jq+x8cCW+kScY337gB0mOTfkJzM6U4Jo5j2je2
 B686b6xbx7p16yiVSllJDWW1cUgjn7vmGhoaGoLxRy2BVW1s5dfX0P3DH6qg
 Tiu5dD9iFScZHJbceUHOnaREvvkd0uXPEs+9seaimbNmMXHiBDo6drD44YfZ
 19lJfanE95YsIUkS4jgmjmLiOANy2223MXHixBqjVRH5IQcMI9m8mf133yX1
 HLGaUgvPAV97P2LOdjfTKLFMokWC6IyzqX/sOWzMuJoLly1bxsIFC7JaH/KQ
 yIgiI4pi4jgiikq0ts5n3rx51Nc35BSsSonqQCLZ2M6++beSbNhQjUi2rVA2
 2dtbOXFWH/Nb2zUeJGa5+AliuByimS0M+ufvYCNH13iwra2NR779CLt278aV
 ZmXVMsqcecZUvvDFLzDj4hlZ960MUY8ZBqV0//hHHFqwQElHh9V0BbEY+Nuw
 LuB9Afj12DDPcW4HFrsTI4jOOoeGuxdSmtVSc0N7ezsrV65k65atRKUsLy6Y
 Pp2ZM2cyevToGoGnoz6X16zh8JPfp/tfl9YMhiS2AvcCjx7PyD4BvDuyRv3e
 7mKROcMEUNegums/b3VXfZa6S1qON9+sHVMdR7H4/v2UV71Ez8qVdC9fjrq7
 axMZlgD3A786kZHvG0CY118q55uCafn4pLFR0aTJ1F9yuZUuaaE09UxsyCkQ
 ekPRA+ruJt22ld633qL8s1cpr19Pum27SBIrJGkP8HPgn4BVRw0pf2sAuFNy
 0YpzM/D7EvVFlYhF2Pgmt5GjIpI0OxdFeFeXJ5vfiUi8pnI6uTTZGJaMjwKv
 v9917wcBUFklNSBmS8yQ80nE+QaDFFZRxa5Z0UFeQ272CH4JrAd+AfwU2Nbf
 ycNvAyD7PWsyIxDNLsYiPiqYZNlMPw19rbJw6BBsEWxC7AF2ha8PfOCtTwC/
 61+3+b8BANXbidFm4iR2AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tsinaclient.sgml > tsinaclient.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tsinaclient.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tsinaclient install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tsinaclient 1.0.2

=== debian/changelog ===
tsinaclient (1.0.2) unstable; urgency=low

  * Ĺʽ,autotools

 -- Changming Sun <snnn119@gmail.com>  Thu, 24 Feb 2011 13:53:05 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: user/network
 Priority: extra
 Maintainer: Changming Sun <snnn119@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev,libqt4-dev,libqt4-gui,libqt4-declarative
+Build-Depends: debhelper (>= 5),libqt4-dev,libqt4-gui,libqt4-declarative
 Standards-Version: 3.7.2
-XSBC-Bugtracker: snnn119@gmail.com
+XSBC-Bugtracker: http://code.google.com/p/tsina/issues/list
 
 Package: tsinaclient
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-webkit,libqt4-sql-sqlite
 Description: A simple client of http://t.sina.com.cn/
-  新浪微博客户端。初始版，不完善。https://www.sunchangming.com/qtsinaclient.html
+  ΢ͻˡʼ棬ơhttps://www.sunchangming.com/qtsinaclient.html
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
  AAALEwEAmpwYAAAKTWlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVN3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# Add here commands to configure the package.
	qmake tsina.pro
	
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tsina.sgml > tsina.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tsina.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/tsina install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	# dh_shlibdeps                      # Uncomment this line for publishing!
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
